---
title: "UseDragAndDrop"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/hooks/use-drag-and-drop.ts" sourceLine="22" packageName="@vendure/dashboard" since="3.3.0" />

Provides the sensors and state management for drag and drop functionality.

```ts title="Signature"
function useDragAndDrop<TData = any>(options: UseDragAndDropOptions<TData>): void
```
Parameters

### options

<MemberInfo kind="parameter" type={`UseDragAndDropOptions<TData>`} />

